## org.biojava.bio.seq.db.emblcd
Class DivisionLkpReader

    java.lang.Object
      org.biojava.bio.seq.db.emblcd.EmblCDROMIndexReader
          org.biojava.bio.seq.db.emblcd.DivisionLkpReader

public class DivisionLkpReader
extends EmblCDROMIndexReader

`DivisionLkpReader` reads the "division.lkp" file of an EMBL CD-ROM format binary index.

Since:
  1.2
Author:
  Keith James

Field Summary

Fields inherited from class org.biojava.bio.seq.db.emblcd.EmblCDROMIndexReader
`input, recParser, sb`

Constructor Summary
`DivisionLkpReader(java.io.InputStream input)` Creates a new `DivisionLkpReader`.

Method Summary
`java.lang.Object[]` `readRecord()` `readRecord` creates an array of Objects from the raw byte array of a single record.

Methods inherited from class org.biojava.bio.seq.db.emblcd.EmblCDROMIndexReader
`close, readDBDate, readDBName, readDBRelease, readFileLength, readRawRecord, readRecordCount, readRecordLength`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DivisionLkpReader

    public DivisionLkpReader(java.io.InputStream input)
                      throws java.io.IOException

  Creates a new `DivisionLkpReader`.

Parameters:
  `input` - an `InputStream`.
Throws:
  `java.io.IOException` - if an error occurs.

Method Detail

### readRecord

    public java.lang.Object[] readRecord()
                                  throws java.io.IOException

  `readRecord` creates an array of Objects from the raw byte array of a single record.

  Specified by:
    `readRecord` in class `EmblCDROMIndexReader`
  Returns:
    an `Object []` array.
  Throws:
    `java.io.IOException` - if an error occurs.